Bug 196776 - Update AudioSession route sharing policy
Summary: Update AudioSession route sharing policy
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2019-04-10 10:26 PDT by Eric Carlson
Modified: 2019-04-12 11:05 PDT (History)
4 users (show)

See Also:


Attachments
Patch (25.92 KB, patch)
2019-04-11 05:51 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch (26.30 KB, patch)
2019-04-11 07:08 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch (26.30 KB, patch)
2019-04-11 10:30 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews122 for ios-simulator-wk2 (3.21 MB, application/zip)
2019-04-11 15:31 PDT, Build Bot
no flags Details
Patch (26.45 KB, patch)
2019-04-12 09:17 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2019-04-10 10:26:21 PDT
Update AudioSession route sharing policy
Comment 1 Eric Carlson 2019-04-10 10:27:39 PDT
<rdar://problem/46501611>
Comment 2 Eric Carlson 2019-04-11 05:51:59 PDT
Created attachment 367214 [details]
Patch
Comment 3 Eric Carlson 2019-04-11 07:08:40 PDT
Created attachment 367219 [details]
Patch
Comment 4 Eric Carlson 2019-04-11 10:30:16 PDT
Created attachment 367226 [details]
Patch
Comment 5 Build Bot 2019-04-11 15:31:14 PDT
Comment on attachment 367226 [details]
Patch

Attachment 367226 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: https://webkit-queues.webkit.org/results/11844728

Number of test failures exceeded the failure limit.
Comment 6 Build Bot 2019-04-11 15:31:15 PDT
Created attachment 367252 [details]
Archive of layout-test-results from ews122 for ios-simulator-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews122  Port: ios-simulator-wk2  Platform: Mac OS X 10.13.6
Comment 7 Eric Carlson 2019-04-12 09:17:37 PDT
Created attachment 367325 [details]
Patch
Comment 8 WebKit Commit Bot 2019-04-12 11:05:03 PDT
Comment on attachment 367325 [details]
Patch

Clearing flags on attachment: 367325

Committed r244223: <https://trac.webkit.org/changeset/244223>
Comment 9 WebKit Commit Bot 2019-04-12 11:05:05 PDT
All reviewed patches have been landed.  Closing bug.